﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace TestGame
{
    class CollisionObject
    {
        protected Vector2 position;
        protected Texture2D image;
        protected Rectangle collRect;

        public Rectangle Rect
        {
            get { return collRect; }
        }

        public CollisionObject(Vector2 position, Texture2D image, Rectangle collRect)
        {
            this.position = position;
            this.image = image;
            this.collRect = collRect;

            this.collRect.X = (int)position.X;
            this.collRect.Y = (int)position.Y;
        }

        public virtual void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(image, position, collRect, Color.Black);
        }
    }
}
