﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

namespace TestGame
{
    class Player : CollisionObject
    {
        private float gravity = 0.3f;
        private float yAcc = 0f;
        private float maxYAcc = 5f;

        public Player(Vector2 position, Texture2D image, Rectangle collRect)
            : base(position, image, collRect)
        { }

        public void Update(GameTime gameTime)
        {
            KeyboardState keyState = Keyboard.GetState();

            if (keyState.IsKeyDown(Keys.Left)) position.X -= 5;
            if (keyState.IsKeyDown(Keys.Right)) position.X += 5;
            if (keyState.IsKeyDown(Keys.Up) && yAcc == 0)
            {
                yAcc = -10;
                position.Y += yAcc;
                collRect.Y = (int)position.Y;
            }

            collRect.X = (int)position.X;
        }

        public void GravMove()
        {
            if (yAcc < maxYAcc) yAcc += gravity;
            position.Y += yAcc;
            collRect.Y = (int)position.Y;
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(image, position, collRect, Color.Red);
        }

        public void ResetFall()
        { yAcc = 0; }
    }
}
