﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.GamerServices;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Media;

using MuScreenManager;

namespace TestGame
{
    /// <summary>
    /// Note: Currently uncommented, just used as a test game to show you something on screen
    /// </summary>
    class TestGameScreen : Screen
    {
        private Texture2D pixel;
        private CollisionObject ground;
        private Player player;

        public TestGameScreen()
        { }

        public override void LoadContent()
        {
            pixel = content.Load<Texture2D>(@"WhitePixel");

            ground = new CollisionObject(new Vector2(0, 400), pixel, new Rectangle(0, 0, 800, 100));
            player = new Player(new Vector2(10, 10), pixel, new Rectangle(0, 0, 50, 50));
        }

        public override void Update(GameTime gameTime)
        {
            player.Update(gameTime);

            if (player.Rect.Intersects(ground.Rect))
                player.ResetFall();
            else
                player.GravMove();
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            player.Draw(spriteBatch);
            ground.Draw(spriteBatch);
        }
    }
}
